lalinference.spec.in 9.33 KB
Newer Older
1
%define nightly @NIGHTLY_VERSION@%{nil}
2
%define _prefix /usr
3
%define _sysconfdir %{_prefix}/etc
Adam Mercer's avatar
Adam Mercer committed
4
%define release 1
5

6 7 8 9
%if "%{?nightly:%{nightly}}%{!?nightly:0}" == "%{nil}"
%undefine nightly
%endif

10
Name: @PACKAGE@
Adam Mercer's avatar
Adam Mercer committed
11 12
Version: @BASE_VERSION@
Release: %{?nightly:0.%{nightly}}%{!?nightly:%{release}}%{?dist}
13
Summary: LSC Algorithm Inference Library
14
License: GPLv2+
15
Group: LAL
Adam Mercer's avatar
Adam Mercer committed
16
Source: %{name}-%{version}%{?nightly:-%{nightly}}.tar.xz
17
URL: https://wiki.ligo.org/Computing/LALSuite
18
Packager: Adam Mercer <adam.mercer@ligo.org>
19
BuildRequires: python2-rpm-macros
20
BuildRequires: pkgconfig >= 0.18.0
21
BuildRequires: chealpix-devel >= 3.30.0
22
BuildRequires: gsl-devel
23
BuildRequires: hdf5-devel
24
BuildRequires: healpy >= 1.9.1
25
BuildRequires: python-astropy >= 1.1.1
26
BuildRequires: python-matplotlib >= 1.2.0
27
BuildRequires: h5py
28
BuildRequires: python-shapely
29
BuildRequires: pytest
30
BuildRequires: libmetaio-devel
31
BuildRequires: numpy >= 1.7
32 33
BuildRequires: octave-devel
BuildRequires: python-devel
34
BuildRequires: scipy >= 0.9.0
35
BuildRequires: swig >= 3.0.7
36 37
BuildRequires: python2-gwdatafind
BuildRequires: python2-gwpy
38
BuildRequires: help2man
39
BuildRequires: glue >= @MIN_GLUE_VERSION@
40 41
BuildRequires: lal-devel >= @MIN_LAL_VERSION@
BuildRequires: lal-octave >= @MIN_LAL_VERSION@
42
BuildRequires: python2-lal >= @MIN_LAL_VERSION@
43 44
BuildRequires: lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
BuildRequires: lalmetaio-octave >= @MIN_LALMETAIO_VERSION@
45
BuildRequires: python2-lalmetaio >= @MIN_LALMETAIO_VERSION@
46 47
BuildRequires: lalsimulation-devel >= @MIN_LALSIMULATION_VERSION@
BuildRequires: lalsimulation-octave >= @MIN_LALSIMULATION_VERSION@
48
BuildRequires: python2-lalsimulation >= @MIN_LALSIMULATION_VERSION@
49 50
BuildRequires: lalburst-devel >= @MIN_LALBURST_VERSION@
BuildRequires: lalburst-octave >= @MIN_LALBURST_VERSION@
51
BuildRequires: python2-lalburst >= @MIN_LALBURST_VERSION@
52 53
BuildRequires: lalinspiral-devel >= @MIN_LALINSPIRAL_VERSION@
BuildRequires: lalinspiral-octave >= @MIN_LALINSPIRAL_VERSION@
54
BuildRequires: python2-lalinspiral >= @MIN_LALINSPIRAL_VERSION@
55 56
BuildRequires: lalpulsar-devel >= @MIN_LALPULSAR_VERSION@
BuildRequires: lalpulsar-octave >= @MIN_LALPULSAR_VERSION@
57
BuildRequires: python2-lalpulsar >= @MIN_LALPULSAR_VERSION@
58 59
Requires: chealpix
Requires: gsl >= 1.15
60
Requires: hdf5
61
Requires: libmetaio
62 63 64 65 66 67
Requires: lal >= @MIN_LAL_VERSION@
Requires: lalmetaio >= @MIN_LALMETAIO_VERSION@
Requires: lalsimulation >= @MIN_LALSIMULATION_VERSION@
Requires: lalburst >= @MIN_LALBURST_VERSION@
Requires: lalinspiral >= @MIN_LALINSPIRAL_VERSION@
Requires: lalpulsar >= @MIN_LALPULSAR_VERSION@
68 69 70 71 72 73 74 75 76 77 78
Prefix: %{_prefix}

%description
The LSC Algorithm Inference Library for gravitational wave data analysis. This
package contains the shared-object libraries needed to run applications
that use the LAL Inference library.

%package devel
Summary: Files and documentation needed for compiling programs that use LAL Inference
Group: LAL
Requires: %{name} = %{version}
79
Requires: chealpix-devel >= 3.30.0
80 81
Requires: gsl-devel >= 1.15
Requires: libmetaio-devel
82 83 84 85 86 87
Requires: lal-devel >= @MIN_LAL_VERSION@
Requires: lalmetaio-devel >= @MIN_LALMETAIO_VERSION@
Requires: lalsimulation-devel >= @MIN_LALSIMULATION_VERSION@
Requires: lalburst-devel >= @MIN_LALBURST_VERSION@
Requires: lalinspiral-devel >= @MIN_LALINSPIRAL_VERSION@
Requires: lalpulsar-devel >= @MIN_LALPULSAR_VERSION@
88 89 90 91 92
%description devel
The LSC Algorithm Inference Library for gravitational wave data analysis. This
package contains files needed build applications that use the LAL Inference
library.

93 94
%package -n python2-%{name}
Summary: Python %{python2_version} Bindings for LALInference
95 96
Group: LAL
Requires: %{name} = %{version}
97
Requires: healpy >= 1.9.1
98
Requires: h5py
99
Requires: python-shapely
100
Requires: numpy >= 1.7
101
Requires: python
102
Requires: scipy >= 0.8
103
Requires: python-astropy >= 1.1.1
104
Requires: python2-gwdatafind
105
Requires: python-matplotlib >= 1.2.0
Leo Pound Singer's avatar
Leo Pound Singer committed
106
Requires: python-six
107
Requires: glue >= @MIN_GLUE_VERSION@
108
Requires: ligo-gracedb
109
Requires: python2-gwpy
110 111 112 113 114 115
Requires: python2-lal >= @MIN_LAL_VERSION@
Requires: python2-lalmetaio >= @MIN_LALMETAIO_VERSION@
Requires: python2-lalsimulation >= @MIN_LALSIMULATION_VERSION@
Requires: python2-lalburst >= @MIN_LALBURST_VERSION@
Requires: python2-lalinspiral >= @MIN_LALINSPIRAL_VERSION@
Requires: python2-lalpulsar >= @MIN_LALPULSAR_VERSION@
116 117
Obsoletes: %{name}-python
Provides: %{name}-python
118
%description -n python2-%{name}
119
The LSC Algorithm Library for gravitational wave data analysis.
120
This package provides the Python %{python2_version} bindings for LALInference.
121 122 123 124 125

%package octave
Summary: Octave Bindings for LALInference
Group: LAL
Requires: %{name} = %{version}
126
Requires: octave
127 128 129 130 131 132
Requires: lal-octave >= @MIN_LAL_VERSION@
Requires: lalmetaio-octave >= @MIN_LALMETAIO_VERSION@
Requires: lalsimulation-octave >= @MIN_LALSIMULATION_VERSION@
Requires: lalburst-octave >= @MIN_LALBURST_VERSION@
Requires: lalinspiral-octave >= @MIN_LALINSPIRAL_VERSION@
Requires: lalpulsar-octave >= @MIN_LALPULSAR_VERSION@
133 134 135 136
%description octave
The LSC Algorithm Library for gravitational wave data analysis.
This package provides the Octave bindings for LALInference.

137
%prep
Adam Mercer's avatar
Adam Mercer committed
138
%setup -q -n %{name}-%{version}%{?nightly:-%{nightly}}
139 140

%build
141
%configure --disable-gcc-flags --enable-swig --enable-openmp
Adam Mercer's avatar
Adam Mercer committed
142
%{__make} %{?_smp_mflags} V=1
143

144
%check
145
%{__make} %{?_smp_mflags} V=1 VERBOSE=1 check
146

147
%install
148
%make_install
Adam Mercer's avatar
Adam Mercer committed
149
find $RPM_BUILD_ROOT%{_libdir} -name '*.la' -delete
150 151 152 153 154 155 156 157 158

%post
ldconfig

%postun
ldconfig

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
Adam Mercer's avatar
Adam Mercer committed
159
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}%{?nightly:-%{nightly}}
160 161 162

%files
%defattr(-,root,root)
163
%license COPYING
164 165 166 167 168 169 170
%{_bindir}/lalinference_bench
%{_bindir}/lalinference_burst
%{_bindir}/lalinference_datadump
%{_bindir}/lalinference_injectedlike
%{_bindir}/lalinference_nest
%{_bindir}/lalinference_version
%{_bindir}/lalinference_mpi_wrapper
171
%{_datarootdir}/lalinference/*
172
%{_libdir}/*.so.*
173 174 175 176 177 178
%{_mandir}/man1/lalinference_bench.1*
%{_mandir}/man1/lalinference_burst.1*
%{_mandir}/man1/lalinference_datadump.1*
%{_mandir}/man1/lalinference_injectedlike.1*
%{_mandir}/man1/lalinference_nest.1*
%{_mandir}/man1/lalinference_version.1*
179 180 181 182
%{_sysconfdir}/*

%files devel
%defattr(-,root,root)
183
%license COPYING
184
%{_includedir}/lal
185
%{_libdir}/*.a
186
%{_libdir}/*.so
187
%{_libdir}/pkgconfig/*
188

189
%files -n python2-%{name}
190
%defattr(-,root,root)
191
%license COPYING
192
%{_bindir}/cbcBayes*
Adam Mercer's avatar
Adam Mercer committed
193
%{_bindir}/imrtgr_*
194 195 196 197 198 199
%{_bindir}/lalinference_burst_pp_pipe
%{_bindir}/lalinference_coherence_test
%{_bindir}/lalinference_compute_roq_weights
%{_bindir}/lalinference_merge_posteriors
%{_bindir}/lalinference_multi_pipe
%{_bindir}/lalinference_nest2pos
200
%{_bindir}/lalinference_cpnest
201 202 203 204
%{_bindir}/lalinference_pipe
%{_bindir}/lalinference_pp_pipe
%{_bindir}/lalinference_review_test
%{_bindir}/lalinference_tiger_pipe
205
%{_bindir}/rapidpe_*
206 207 208 209 210 211 212 213 214 215 216 217 218 219
%{_mandir}/man1/cbcBayes*.1*
%{_mandir}/man1/imrtgr_*.1*
%{_mandir}/man1/lalinference_burst_pp_pipe.1*
%{_mandir}/man1/lalinference_coherence_test.1*
%{_mandir}/man1/lalinference_compute_roq_weights.1*
%{_mandir}/man1/lalinference_merge_posteriors.1*
%{_mandir}/man1/lalinference_multi_pipe.1*
%{_mandir}/man1/lalinference_nest2pos.1*
%{_mandir}/man1/lalinference_cpnest.1*
%{_mandir}/man1/lalinference_pipe.1*
%{_mandir}/man1/lalinference_pp_pipe.1*
%{_mandir}/man1/lalinference_review_test.1*
%{_mandir}/man1/lalinference_tiger_pipe.1*
%{_mandir}/man1/rapidpe_*.1*
220
%{python2_sitearch}/*
221 222 223

%files octave
%defattr(-,root,root)
224
%license COPYING
225
%{_prefix}/lib*/octave/*/site/oct/*/lalinference.oct*
226 227 228

# dates should be formatted using: 'date +"%a %b %d %Y"'
%changelog
229 230 231
* Fri Jun 21 2019 Adam Mercer <adam.mercer@ligo.org> 1.11.1-1
- O3 point release

232 233 234
* Tue May 21 2019 Adam Mercer <adam.mercer@ligo.org> 1.11.0-1
- O3 point release

235 236 237
* Wed May 01 2019 Adam Mercer <adam.mercer@ligo.org> 1.10.3-1
- O3 point release

238 239 240
* Mon Feb 25 2019 Adam Mercer <adam.mercer@ligo.org> 1.10.2-1
- ER14 release

241 242 243
* Tue Jan 22 2019 Adam Mercer <adam.mercer@ligo.org> 1.10.1-1
- Fix spin2 prior

244 245 246
* Thu Sep 13 2018 Adam Mercer <adam.mercer@ligo.org> 1.10.0-1
- Pre O3 release

247 248 249
* Thu Jul 27 2017 Adam Mercer <adam.mercer@ligo.org> 1.9.4-1
- bayestar_plot_volume: work around broken fonts in SL7

250 251 252
* Wed Jul 26 2017 Adam Mercer <adam.mercer@ligo.org> 1.9.3-1
- BAYESTAR and sky map post-processing updates

253 254 255 256
* Thu Mar 16 2017 Adam Mercer <adam.mercer@ligo.org> 1.9.2-1
- lalinference.io.fits: remove some redundant keys on reading
- lalinference.io.fits: fix writing single-column sky maps

257 258 259 260 261 262 263 264 265
* Sat Feb 18 2017 Adam Mercer <adam.mercer@ligo.org> 1.9.1-1
- Do not use $(..._la_LIBADD) to link against external libraries
- Track version info API change
- Fix to weights calculation so that posterior samples are now drawn correctly
- Fix incorrect axes limits for Mollweide sky maps
- Drop code for reading past EOF of named pipe
- Fix incorrect reordering of IDL-compatible sky maps
- Tune default max distance for volume rendering plots

266 267 268
* Tue Feb 07 2017 Adam Mercer <adam.mercer@ligo.org> 1.9.0-1
- O2 release

269 270 271 272
* Thu Dec 15 2016 Adam Mercer <adam.mercer@ligo.org> 1.8.2-1
- Be more emphatic about switching matplotlib backend
- Prevent trying to build python3 packages when unsupported

273 274 275 276
* Fri Dec 09 2016 Adam Mercer <adam.mercer@ligo.org> 1.8.1-1
- Explicitly set no-op Matplotlib backend
- Set matplotlib backend to no-op

277 278 279
* Mon Sep 26 2016 Adam Mercer <adam.mercer@ligo.org> 1.8.0-1
- ER10 release

280 281 282
* Thu Jun 23 2016 Adam Mercer <adam.mercer@ligo.org> 1.7.0-1
- ER9 release

283 284
* Fri Mar 25 2016 Adam Mercer <adam.mercer@ligo.org> 1.6.0-1
- Pre O2 packaging test release